DB_MULTIPLE_RECNO_RESERVE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_RECNO_RESERVE_NEXT

    #include <db.h>

    DB_MULTIPLE_RECNO_RESERVE_NEXT(void *pointer, DBT *dbt, db_recno_t recno,
        void *ddest, size_t dlen);

Reserves space for a record number / data pair in a bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_RECNO_WRITE_INIT.

#### recno

The record number to be copied into the bulk buffer.

This parameter is set to 0 if the data item does not fit in the buffer.

#### ddest

The ddest parameter is set to the location reserved in the bulk buffer for the data item.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dlen

The number of bytes to be reserved.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_RECNO_WRITE_NEXT | Home | Chapter 5. The DB_ENV Handle